Summary: Client side upgrade program and server side compose tool
Name: rpm-ostree
Version: 2014.106
Release: 2.atomic%{?dist}
#VCS: https://github.com/cgwalters/rpm-ostree
# This tarball is generated via "make -f Makefile.dist-packaging dist-snapshot"
Source0: rpm-ostree-%{version}.tar.xz
License: LGPLv2+
URL: https://github.com/cgwalters/rpm-ostree
# We always run autogen.sh
BuildRequires: autoconf automake libtool
# For docs
BuildRequires: gtk-doc
BuildRequires: gnome-common
BuildRequires: pkgconfig(ostree-1) >= 2014.6
BuildRequires: pkgconfig(libgsystem)
BuildRequires: pkgconfig(json-glib-1.0)
BuildRequires: pkgconfig(hawkey)
BuildRequires: pkgconfig(rpm)

#Technically it is required only for treecompose
#Requires: /usr/bin/yum
Requires: ostree >= 2014.6

%description
This tool binds together the world of RPM packages with the OSTree
model of bootable filesystem trees.  It provides commands usable both
on client systems as well as server-side composes.

%prep
%setup -q -n %{name}-%{version}

%build
env NOCONFIGURE=1 ./autogen.sh
%configure --disable-silent-rules --enable-patched-hawkey-and-libsolv --enable-usrbinatomic
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p -c"

%files
%doc COPYING README.md
%{_bindir}/atomic
%{_bindir}/rpm-ostree
%{_libdir}/%{name}/
%{_mandir}/man1/*.gz

%changelog
* Tue Sep 09 2014 Colin Walters <walters@redhat.com> - 2014.106-2.atomic
- New upstream release
- BR/R OSTree 2014.6

* Fri Aug 08 2014 Colin Walters <walters@redhat.com> - 2014.105-2.atomic
- New upstream release

* Mon Jul 14 2014 Colin Walters <walters@redhat.com>
- New upstream version

* Fri May 23 2014 Colin Walters <walters@redhat.com>
- Previous autobuilder code is split off into rpm-ostree-toolbox

* Sat Mar 22 2014 Colin Walters <walters@verbum.org> - 2014.6.3.g5707fa7-1
- New git snapshot, add rpm-ostree-sign to file list

* Sat Mar 22 2014 Colin Walters <walters@verbum.org> - 2014.6-1
- New upstream version

* Fri Mar 07 2014 Colin Walters <walters@verbum.org> - 2014.5-1
- Initial package

